haru 0.27.3

A fast, dynamically-typed general purpose scripting language
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "haru"
version = "0.27.3"
authors = ["ffwff <mogamiriver@tuta.io>"]
build = "build.rs"
description = "A fast, dynamically-typed general purpose scripting language"
homepage = "https://github.com/ffwff/hana"
documentation = "https://github.com/ffwff/hana/blob/haru/DOCUMENTATION.md"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/ffwff/hana"
[profile.release]
lto = true
panic = "abort"

[[bin]]
name = "haru"
path = "src/main.rs"
bench = false
[dependencies.ansi_term]
version = "0.11.0"

[dependencies.cfg-if]
version = "0.1.9"

[dependencies.haru-decorator]
version = "0.2.3"

[dependencies.jemallocator]
version = "0.3.0"
optional = true

[dependencies.libc]
version = "0.2.58"

[dependencies.libffi-sys]
version = "0.7.0"
optional = true

[dependencies.num-derive]
version = "0.2.5"

[dependencies.num-traits]
version = "0.2.8"

[dependencies.rustyline]
version = "4.1.0"
features = []

[dependencies.unicode-segmentation]
version = "1.3.0"
[build-dependencies.cc]
version = "1.0.37"
features = ["parallel"]

[build-dependencies.peg]
version = "0.5.7"

[features]
cffi = ["libffi-sys"]
default = []
jemalloc = ["jemallocator"]
[badges.codecov]
branch = "haru"
repository = "ffwff/hana"
service = "github"

[badges.travis-ci]
branch = "haru"
repository = "ffwff/hana"